<div [hidden]="submitted">
  <h1>Supereroe Form <small>Template-driven form</small></h1>
  <form (ngSubmit)="onSubmit()" #supereroeForm="ngForm">
    <fieldset ngModelGroup="identita" #identita="ngModelGroup">
      <div class="form-group">
        <label for="nome">Nome*</label>
        <input type="text" class="form-control" id="nome" name="nome"
        [(ngModel)]="model.identita.nome" #nome="ngModel"
        minlength="2" required>
        <div *ngIf="nome.invalid && (nome.dirty || nome.touched)" class="alert alert-danger">

          <!-- <div *ngIf="nome.errors?.required"> -->
          <div *ngIf="nome.hasError('required')">
            Campo obbligatorio
          </div>
          <div *ngIf="nome.hasError('minlength')">
            Il nome deve avere almeno 2 caratteri
          </div>

        </div>
      </div>
      <div class="form-group">
        <label for="cognome">Cognome</label>
        <input type="text" class="form-control" id="cognome" name="cognome"
        [(ngModel)]="model.identita.cognome" #cognome="ngModel"
        minlength="2">
        <div *ngIf="cognome.invalid && (cognome.dirty || cognome.touched)" class="alert alert-danger">

          <div *ngIf="cognome.hasError('minlength')">
            Il nome deve avere almeno 2 caratteri
          </div>

        </div>
      </div>
      <div *ngIf="identita.invalid && (identita.dirty || identita.touched)" class="alert alert-danger">
        Identità non valida
      </div>
    </fieldset>

    <div class="form-group">
      <label for="soprannome">Soprannome</label>
      <input type="text" class="form-control" id="soprannome" [(ngModel)]="model.soprannome" name="soprannome">
    </div>

    <div class="form-group">
      <label for="potere">Superpotere*</label>
      <select class="form-control" id="potere" required [(ngModel)]="model.potere" name="potere" #potere="ngModel">
        <option *ngFor="let potere of poteri" [value]="potere">{{potere}}</option>
      </select>
      <div [hidden]="potere.valid || (potere.pristine && potere.untouched)" class="alert alert-danger">
        Campo obbligatorio
      </div>
    </div>

    <button type="submit" class="btn btn-success" [disabled]="!supereroeForm.form.valid">Invia</button>
    <button type="reset" class="btn btn-danger ml-2" (click)="resetForm(); supereroeForm.reset()">Reset</button>
  </form>
</div>

<app-dati-supereroe
  [hidden]="!submitted"
  [model]="model"
  (edit)="onEdit()"
></app-dati-supereroe>
